#include <iostream>
using namespace std;
int main(){
int n,d,k,sbor=1,eha=0;
cin>>n>>d>>k;
for(int i=0;i<k;i++)
{
    sbor+=d;
    if(sbor%n==0)
        eha+=n;
    else
        eha+=sbor%n;
}
cout<<eha+1;
return 0;
}
